const app = getApp()
import {
  throttle,
  getWaterDrop
} from '../../utils/index/index'
Component({
  /**
   * 组件的属性列表
   */
  props: {
    // 是否显示modal
    visible: {
      type: Boolean,
      value: false
    },
    // 自定义内容
    content: {
      type: String,
      value: ''
    },
    // 是否显示取消按钮（默认显示）
    showCancelBtn: true,
    // 是否显示确认按钮（默认不显示）
    showOkBtn: true,
    //取消按钮文本
    cancelText: '取消',
    //确认按钮文本
    okText: '确认',
    //取消按钮回调
    onCancel: {
      type: Function,
      value: () => {}
    },
    //确认按钮回调
    onOk: {
      type: Function,
      value: () => {}
    },
  },
  /**
   * 组件的初始数据
   */
  data: {
  },
  didMount() {
  },
  /**
   * 组件的方法列表
   */
  methods: {
    cancel: throttle( function () {
      setTimeout(()=>{
        this.props.onCancel();
      }, 100)
    }, 1000),
    confirm: throttle( function () {
      setTimeout(()=>{
        this.props.onOk();
      }, 100)
    }, 1000),
  },
  observers: {}
})
